# ucs_timezone – Configures timezone on Cisco UCS Manager

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Configures timezone on Cisco UCS Manager.

- Examples can be used with the UCS Platform Emulator.

## Requirements

The below requirements are needed on the host that executes this module.

- ucsmsdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

admin_state
-

Choices:
- disabled
- enabled ←

The admin_state setting
The enabled admin_state indicates the timezone configuration is utilized by UCS Manager.
The disabled admin_state indicates the timezone configuration is ignored by UCS Manager.

description - | Default: "" | A user-defined description of the timezone. Enter up to 256 characters. You can use any characters or spaces except the following: ` (accent mark), (backslash), ^ (carat), " (double quote), = (equal sign), > (greater than), < (less than), or ' (single quote). aliases: descr
hostname string / required |  | IP address or hostname of Cisco UCS Manager.
password string / required |  | Password for Cisco UCS Manager authentication.
port integer |  | Port number to be used during connection (by default uses 443 for https and 80 for http connection).
proxy string |  | If use_proxy is no, specfies proxy to be used for connection. e.g. 'http://proxy.xy.z:8080'

state
-

Choices:
- absent
- present ←

If `absent`, will unset timezone.
If `present`, will set or update timezone.

timezone - |  | The timezone name. Time zone names are from the tz database The timezone name is case sensitive. The timezone name can be between 0 and 510 alphanumeric characters. You cannot use spaces or any special characters other than "-" (hyphen), "_" (underscore), "/" (backslash).

use_proxy
boolean

Choices:
- no
- yes ←

If `no`, will not use the proxy as defined by system environment variable.

use_ssl
boolean

Choices:
- no
- yes ←

If `no`, an HTTP connection will be used instead of the default HTTPS connection.

username string | Default: "admin" | Username for Cisco UCS Manager authentication.

## Examples

    - name: Configure Time Zone
      ucs_timezone:
        hostname: 172.16.143.150
        username: admin
        password: password
        state: present
        admin_state: enabled
        timezone: America/Los_Angeles
        description: 'Time Zone for Los Angeles'

    - name: Unconfigure Time Zone
      ucs_timezone:
        hostname: 172.16.143.150
        username: admin
        password: password
        state: absent
        admin_state: disabled

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- John McDonough (@movinalot)

- CiscoUcs (@CiscoUcs)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.